<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.casic.missiles.mapper.workbench.WorkbenchRemindMessageMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.casic.missiles.model.workbench.WorkbenchRemindMessage">
        <id column="id" property="id" />
        <result column="remind_id" property="remindId" />
        <result column="remind_dept_id" property="remindDeptId" />
        <result column="business_id" property="businessId" />
        <result column="business_code" property="businessCode" />
        <result column="message_type" property="messageType" />
        <result column="message_source_module" property="messageSourceModule" />
        <result column="message_topic" property="messageTopic" />
        <result column="message_title" property="messageTitle" />
        <result column="message_content" property="messageContent" />
        <result column="status" property="status" />
        <result column="create_user" property="createUser" />
        <result column="create_user_name" property="createUserName" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, remind_id, remind_dept_id, business_id, business_code, message_type, message_source_module, message_topic, message_title, message_content, status, create_user, create_user_name, create_time, update_time
    </sql>

</mapper>
